license_plate_api_uae
====================


A Dart package for looking up technical details on vehicles registered in the UAE by their license plate

`license_plate_api_uae` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in Dubai

This requires a username and password, which is available for free from http://ae.carregistrationapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_uae/license_plate_api_uae.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://ae.carregistrationapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://ae.carregistrationapi.com/

